Browse Source

Sync with portage [Sat Aug 29 19:47:37 MSK 2015].

mhiretskiy
root 7 years ago
parent
commit
59ab66a3d9
  1. 1
      app-admin/syslog-ng/Manifest
  2. 37
      app-admin/syslog-ng/files/3.7/syslog-ng.conf.gentoo
  3. 25
      app-admin/syslog-ng/files/3.7/syslog-ng.conf.gentoo.fbsd
  4. 115
      app-admin/syslog-ng/files/3.7/syslog-ng.conf.gentoo.hardened
  5. 42
      app-admin/syslog-ng/files/3.7/syslog-ng.confd
  6. 59
      app-admin/syslog-ng/files/3.7/syslog-ng.rc6
  7. 142
      app-admin/syslog-ng/syslog-ng-3.7.1.ebuild
  8. 3
      app-benchmarks/stress/Manifest
  9. 27
      app-benchmarks/stress/stress-0.18.6.ebuild
  10. 45
      app-benchmarks/stress/stress-1.0.0.ebuild
  11. 45
      app-benchmarks/stress/stress-1.0.3.ebuild
  12. 1
      app-i18n/scim-m17n/Manifest
  13. 40
      app-i18n/scim-m17n/scim-m17n-0.2.2.ebuild
  14. 13
      app-misc/beep/beep-1.3-r1.ebuild
  15. 1
      app-portage/conf-update/Manifest
  16. 35
      app-portage/conf-update/conf-update-1.0.3.ebuild
  17. 45
      dev-java/beansbinding/beansbinding-1.2.1-r2.ebuild
  18. 1
      dev-java/cocoon/Manifest
  19. 70
      dev-java/cocoon/cocoon-2.1.11.ebuild
  20. 5
      dev-java/cocoon/metadata.xml
  21. 2
      dev-java/icu4j/Manifest
  22. 74
      dev-java/icu4j/icu4j-4.4.1.1.ebuild
  23. 25
      dev-java/jad-bin/jad-bin-1.5.8e.ebuild
  24. 1
      dev-java/jarbundler/Manifest
  25. 30
      dev-java/jarbundler/jarbundler-1.7.ebuild
  26. 41
      dev-java/jarbundler/jarbundler-1.8.1-r1.ebuild
  27. 69
      dev-java/javacc/javacc-5.0.ebuild
  28. 1
      dev-java/jcommon/Manifest
  29. 47
      dev-java/jcommon/jcommon-1.0.16.ebuild
  30. 4
      dev-lang/ghc/Manifest
  31. 6
      dev-lang/ghc/ghc-7.10.2-r1.ebuild
  32. 2
      dev-libs/gf-complete/gf-complete-0.0.0.ebuild
  33. 2
      dev-libs/jerasure/jerasure-0.0.0.ebuild
  34. 7
      dev-libs/nspr/nspr-4.10.8.ebuild
  35. 1
      dev-libs/nss/Manifest
  36. 2
      dev-libs/nss/nss-3.19.2.ebuild
  37. 325
      dev-libs/nss/nss-3.20.ebuild
  38. 6
      dev-lisp/ecls/Manifest
  39. 68
      dev-lisp/ecls/ecls-10.4.1.ebuild
  40. 82
      dev-lisp/ecls/ecls-11.1.1-r1.ebuild
  41. 79
      dev-lisp/ecls/ecls-12.2.1.ebuild
  42. 79
      dev-lisp/ecls/ecls-12.7.1.ebuild
  43. 85
      dev-lisp/ecls/ecls-13.5.1.ebuild
  44. 20
      dev-lisp/ecls/ecls-16.0.0.ebuild
  45. 65
      dev-lisp/ecls/ecls-9.12.3.ebuild
  46. 17
      dev-lisp/ecls/files/10.4.1-headers-gentoo.patch
  47. 35
      dev-lisp/ecls/files/11.1.1-cmploc.patch
  48. 17
      dev-lisp/ecls/files/11.1.1-headers-gentoo.patch
  49. 12
      dev-lisp/ecls/files/12.12.1-asdf.patch
  50. 17
      dev-lisp/ecls/files/12.2.1-headers-gentoo.patch
  51. 17
      dev-lisp/ecls/files/12.7.1-headers-gentoo.patch
  52. 13
      dev-lisp/ecls/files/16.0.0-headers-gentoo.patch
  53. 17
      dev-lisp/ecls/files/9.12.3-headers-gentoo.patch
  54. 18
      dev-lisp/sbcl/Manifest
  55. 157
      dev-lisp/sbcl/files/bsd-sockets-test-1.2.6.patch
  56. 184
      dev-lisp/sbcl/files/bsd-sockets-test-1.2.7.patch
  57. 346
      dev-lisp/sbcl/files/bsd-sockets-test-1.2.9.patch
  58. 24
      dev-lisp/sbcl/files/gentoo-fix_nopie_for_hardened_toolchain.patch
  59. 11
      dev-lisp/sbcl/files/gentoo_fix_waitpid_c.patch
  60. 43
      dev-lisp/sbcl/files/sbcl-1.0.55-newglibc.patch
  61. 61
      dev-lisp/sbcl/files/sbcl-1.0.55_no_doc_install.patch
  62. 13
      dev-lisp/sbcl/files/sbcl-1.0.6-solaris.patch
  63. 28
      dev-lisp/sbcl/files/sbcl-1.2.7-verbose-build.patch
  64. 203
      dev-lisp/sbcl/sbcl-1.0.55-r1.ebuild
  65. 236
      dev-lisp/sbcl/sbcl-1.2.10.ebuild
  66. 236
      dev-lisp/sbcl/sbcl-1.2.11.ebuild
  67. 2
      dev-lisp/sbcl/sbcl-1.2.14.ebuild
  68. 212
      dev-lisp/sbcl/sbcl-1.2.2.ebuild
  69. 212
      dev-lisp/sbcl/sbcl-1.2.4.ebuild
  70. 211
      dev-lisp/sbcl/sbcl-1.2.6.ebuild
  71. 233
      dev-lisp/sbcl/sbcl-1.2.7.ebuild
  72. 236
      dev-lisp/sbcl/sbcl-1.2.9.ebuild
  73. 1
      dev-python/pyamf/Manifest
  74. 35
      dev-python/pyamf/pyamf-0.7.2.ebuild
  75. 1
      dev-python/pycountry/Manifest
  76. 31
      dev-python/pycountry/pycountry-1.14.ebuild
  77. 1
      dev-python/pygit2/Manifest
  78. 26
      dev-python/pygit2/pygit2-0.23.0.ebuild
  79. 3
      dev-python/pytz/Manifest
  80. 33
      dev-python/pytz/pytz-2013d.ebuild
  81. 31
      dev-python/pytz/pytz-2014.9.ebuild
  82. 31
      dev-python/pytz/pytz-2015.2.ebuild
  83. 2
      dev-python/pytz/pytz-2015.4.ebuild
  84. 3
      dev-python/readme/Manifest
  85. 41
      dev-python/readme/readme-0.4.1.ebuild
  86. 9
      dev-python/readme/readme-0.6.0.ebuild
  87. 1
      dev-ruby/capybara/Manifest
  88. 45
      dev-ruby/capybara/capybara-2.5.0.ebuild
  89. 1
      dev-ruby/exifr/Manifest
  90. 22
      dev-ruby/exifr/exifr-1.2.3.1.ebuild
  91. 1
      dev-ruby/faraday_middleware/faraday_middleware-0.9.2.ebuild
  92. 2
      dev-ruby/test-unit/test-unit-1.2.3-r3.ebuild
  93. 3
      dev-vcs/gitg/gitg-3.16.1.ebuild
  94. 1
      media-gfx/freewrl/Manifest
  95. 145
      media-gfx/freewrl/freewrl-3.0.0.ebuild
  96. 21
      media-gfx/freewrl/freewrl-9999.ebuild
  97. 1
      media-libs/glyr/Manifest
  98. 31
      media-libs/glyr/glyr-1.0.7.ebuild
  99. 2
      media-libs/mesa/mesa-9999.ebuild
  100. 1
      media-sound/abcm2ps/Manifest

1
app-admin/syslog-ng/Manifest

@ -1,3 +1,4 @@
DIST syslog-ng-3.7.1.tar.gz 3509575 SHA256 4c19841b9079b377cd814b1e6ebbf273af41d04d51c648f4c31f19bfadc20220 SHA512 6f9a68aec2594d83c43cf40e12a3d56e65661929a47c2a053ae120e34ad358d4dfd0b5b0303a374a5557f2ac0670114037a339530b111b1078b56e5baf284ed4 WHIRLPOOL 247498f144aec419d1214378332bc286795fa8f59ba33ce75b3d000be6340758f00a694d76b5cbfdd6b68d138a6cd373c06bb52c70e6ed6de29189c03a56d16b
DIST syslog-ng_3.4.8.tar.gz 3169372 SHA256 96c2f970fbba4fdd7659b1fee5e476d2858c911d4304d42099f495493762ff49 SHA512 23ba9908664e594c186cbe4bd5dcfb5d2ed3faf02ec45b931bb91b078660547989c2340a08b478a33adb530d39a6d6f39a2e7519107a3f6b923ac9f39529620e WHIRLPOOL 1085fa2c90e0c85421c64ed50e8a357f29006afea2f3e329e42d1e27f4210a10fe0f05d4af95a11c245d68b43644a4a829a50c05b7d541f59a6f580b3643b434
DIST syslog-ng_3.6.2.tar.gz 3207456 SHA256 ef47fada52981e09af570457a5af30f815f5d5b6c2e33754cedd4ca9780d8261 SHA512 15603b4df2001e1ce7e0019d0dd9a0f4295445e3fd19a527ebf3d49486da7da27fac6c465727ec0354f8f70ca0f671a285ec132f9aa0de62b40f18b44af2a226 WHIRLPOOL 7135db242374d6e5789c0820a06187b7e325054fd214e3aee75aac5b8dde56786b432cc4519c07ce0cd413c3a560e8e74ee6eca319c21eaa750ca8140ef1b63f
DIST syslog-ng_3.6.4.tar.gz 3276432 SHA256 7be11df31ac7d716f1f952e22b5ae8e2049edd633a41b223776a853d9106f4e7 SHA512 9c648628b9bd3ebb25bc44fa6586e88a4b9ed7c24b1c337569d3cccb04bf2f427ba1218900f8dfd8f668f245d6ab44ad45b67da661b7c2af68c6c42101b722e1 WHIRLPOOL 496a9b2e06e33b0c42726f3b13f859f356f136367c48363cd22b086b72f4f54a32cc057235636f2d2ea3ad7bdd622354ea67df1cbc770be608a84bc861fce93d

37
app-admin/syslog-ng/files/3.7/syslog-ng.conf.gentoo

@ -0,0 +1,37 @@
@version: 3.7
# $Id$
#
# Syslog-ng default configuration file for Gentoo Linux
# https://bugs.gentoo.org/show_bug.cgi?id=426814
@include "scl.conf"
options {
threaded(yes);
chain_hostnames(no);
# The default action of syslog-ng is to log a STATS line
# to the file every 10 minutes. That's pretty ugly after a while.
# Change it to every 12 hours so you get a nice daily update of
# how many messages syslog-ng missed (0).
stats_freq(43200);
# The default action of syslog-ng is to log a MARK line
# to the file every 20 minutes. That's seems high for most
# people so turn it down to once an hour. Set it to zero
# if you don't want the functionality at all.
mark_freq(3600);
};
source src { system(); internal(); };
destination messages { file("/var/log/messages"); };
# By default messages are logged to tty12...
destination console_all { file("/dev/tty12"); };
# ...if you intend to use /dev/console for programs like xconsole
# you can comment out the destination line above that references /dev/tty12
# and uncomment the line below.
#destination console_all { file("/dev/console"); };
log { source(src); destination(messages); };
log { source(src); destination(console_all); };

25
app-admin/syslog-ng/files/3.7/syslog-ng.conf.gentoo.fbsd

@ -0,0 +1,25 @@
@version: 3.7
# $Id$
#
# Syslog-ng default configuration file for Gentoo FreeBSD
#
# https://bugs.gentoo.org/show_bug.cgi?id=426814
@include "scl.conf"
options {
threaded(yes);
chain_hostnames(no);
# The default action of syslog-ng is to log a STATS line
# to the file every 10 minutes. That's pretty ugly after a while.
# Change it to every 12 hours so you get a nice daily update of
# how many messages syslog-ng missed (0).
stats_freq(43200);
};
source src { system(); internal(); };
destination messages { file("/var/log/messages"); };
log { source(src); destination(messages); };

115
app-admin/syslog-ng/files/3.7/syslog-ng.conf.gentoo.hardened

@ -0,0 +1,115 @@
@version: 3.7
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
# https://bugs.gentoo.org/show_bug.cgi?id=426814
@include "scl.conf"
#
# Syslog-ng configuration file, compatible with default hardened installations.
#
options {
threaded(yes);
chain_hostnames(no);
stats_freq(43200);
};
source src {
unix-dgram("/dev/log");
internal();
};
source kernsrc {
file("/proc/kmsg");
};
#source net { udp(); };
#log { source(net); destination(net_logs); };
#destination net_logs { file("/var/log/HOSTS/$HOST/$YEAR$MONTH$DAY.log"); };
destination authlog { file("/var/log/auth.log"); };
destination _syslog { file("/var/log/syslog"); };
destination cron { file("/var/log/cron.log"); };
destination daemon { file("/var/log/daemon.log"); };
destination kern { file("/var/log/kern.log"); file("/dev/tty12"); };
destination lpr { file("/var/log/lpr.log"); };
destination user { file("/var/log/user.log"); };
destination uucp { file("/var/log/uucp.log"); };
#destination ppp { file("/var/log/ppp.log"); };
destination mail { file("/var/log/mail.log"); };
destination avc { file("/var/log/avc.log"); };
destination audit { file("/var/log/audit.log"); };
destination pax { file("/var/log/pax.log"); };
destination grsec { file("/var/log/grsec.log"); };
destination mailinfo { file("/var/log/mail.info"); };
destination mailwarn { file("/var/log/mail.warn"); };
destination mailerr { file("/var/log/mail.err"); };
destination newscrit { file("/var/log/news/news.crit"); };
destination newserr { file("/var/log/news/news.err"); };
destination newsnotice { file("/var/log/news/news.notice"); };
destination debug { file("/var/log/debug"); };
destination messages { file("/var/log/messages"); };
destination console { usertty("root"); };
destination console_all { file("/dev/tty12"); };
#destination loghost { udp("loghost" port(999)); };
destination xconsole { pipe("/dev/xconsole"); };
filter f_auth { facility(auth); };
filter f_authpriv { facility(auth, authpriv); };
filter f_syslog { not facility(authpriv, mail); };
filter f_cron { facility(cron); };
filter f_daemon { facility(daemon); };
filter f_kern { facility(kern); };
filter f_lpr { facility(lpr); };
filter f_mail { facility(mail); };
filter f_user { facility(user); };
filter f_uucp { facility(uucp); };
#filter f_ppp { facility(ppp); };
filter f_news { facility(news); };
filter f_debug { not facility(auth, authpriv, news, mail); };
filter f_messages { level(info..warn)
and not facility(auth, authpriv, mail, news); };
filter f_emergency { level(emerg); };
filter f_info { level(info); };
filter f_notice { level(notice); };
filter f_warn { level(warn); };
filter f_crit { level(crit); };
filter f_err { level(err); };
filter f_avc { message(".*avc: .*"); };
filter f_audit { message("^(\\[.*\..*\] |)audit.*") and not message(".*avc: .*"); };
filter f_pax { message("^(\\[.*\..*\] |)PAX:.*"); };
filter f_grsec { message("^(\\[.*\..*\] |)grsec:.*"); };
log { source(src); filter(f_authpriv); destination(authlog); };
log { source(src); filter(f_syslog); destination(_syslog); };
log { source(src); filter(f_cron); destination(cron); };
log { source(src); filter(f_daemon); destination(daemon); };
log { source(kernsrc); filter(f_kern); destination(kern); };
log { source(src); filter(f_lpr); destination(lpr); };
log { source(src); filter(f_mail); destination(mail); };
log { source(src); filter(f_user); destination(user); };
log { source(src); filter(f_uucp); destination(uucp); };
log { source(kernsrc); filter(f_pax); destination(pax); };
log { source(kernsrc); filter(f_grsec); destination(grsec); };
log { source(kernsrc); filter(f_audit); destination(audit); };
log { source(kernsrc); filter(f_avc); destination(avc); };
log { source(src); filter(f_mail); filter(f_info); destination(mailinfo); };
log { source(src); filter(f_mail); filter(f_warn); destination(mailwarn); };
log { source(src); filter(f_mail); filter(f_err); destination(mailerr); };
log { source(src); filter(f_news); filter(f_crit); destination(newscrit); };
log { source(src); filter(f_news); filter(f_err); destination(newserr); };
log { source(src); filter(f_news); filter(f_notice); destination(newsnotice); };
log { source(src); filter(f_debug); destination(debug); };
log { source(src); filter(f_messages); destination(messages); };
log { source(src); filter(f_emergency); destination(console); };
#log { source(src); filter(f_ppp); destination(ppp); };
log { source(src); destination(console_all); };

42
app-admin/syslog-ng/files/3.7/syslog-ng.confd

@ -0,0 +1,42 @@
# Config file for /etc/init.d/syslog-ng
# If you are not using network logging, this entire section should be
# commented out. Otherwise, choose one of the settings below based on
# how you are configuring your network.
#
# If you are using the net.* scripts to configure your network, you should
# set rc_need to match the interface through which your logging server
# can be reached.
#rc_need="net.eth0"
#
# If you are using an interface manager like wicd, dhcpcd in standalone
# mode, networkmanager, etc to control your interfaces, set rc_need to
# the name of that service.
# rc_need="dhcpcd"
#rc_need="networkmanager"
#
# If you are using newnet and configuring your interface statically with
# the network script, you should use this setting.
#rc_need="network"
#
# You can use this setting, but I do not recommend relying on it.
#rc_need="net"
#
# You may also want to uncomment the following if you are using network
# logging.
#rc_use="stunnel"
# For very customized setups these variables can be adjusted as needed
# but for most situations they should remain commented:
# SYSLOG_NG_CONFIGFILE=/etc/syslog-ng/syslog-ng.conf
# SYSLOG_NG_STATEFILE_DIR=/var/lib/syslog-ng
# SYSLOG_NG_STATEFILE=${SYSLOG_NG_STATEFILE_DIR}/syslog-ng.persist
# SYSLOG_NG_PIDFILE_DIR=/run
# SYSLOG_NG_PIDFILE=${SYSLOG_NG_PIDFILE_DIR}/syslog-ng.pid
# SYSLOG_NG_GROUP=root
# SYSLOG_NG_USER=root
# Put any additional options for syslog-ng here.
# See syslog-ng(8) for more information.
SYSLOG_NG_OPTS=""

59
app-admin/syslog-ng/files/3.7/syslog-ng.rc6

@ -0,0 +1,59 @@
#!/sbin/runscript
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
SYSLOG_NG_CONFIGFILE=${SYSLOG_NG_CONFIGFILE:-/etc/syslog-ng/${RC_SVCNAME}.conf}
SYSLOG_NG_STATEFILE_DIR=${SYSLOG_NG_STATEFILE_DIR:-/var/lib/syslog-ng}
SYSLOG_NG_STATEFILE=${SYSLOG_NG_STATEFILE:-${SYSLOG_NG_STATEFILE_DIR}/syslog-ng.persist}
SYSLOG_NG_PIDFILE_DIR=${SYSLOG_NG_PIDFILE_DIR:-/run}
SYSLOG_NG_PIDFILE=${SYSLOG_NG_PIDFILE:-${SYSLOG_NG_PIDFILE_DIR}/${RC_SVCNAME}.pid}
SYSLOG_NG_GROUP=${SYSLOG_NG_GROUP:-root}
SYSLOG_NG_USER=${SYSLOG_NG_USER:-root}
command="/usr/sbin/syslog-ng"
command_args="--persist-file \"${SYSLOG_NG_STATEFILE}\" --cfgfile \"${SYSLOG_NG_CONFIGFILE}\" --pidfile \"${SYSLOG_NG_PIDFILE}\" ${SYSLOG_NG_OPTS}"
extra_commands="checkconfig"
extra_started_commands="reload"
pidfile="${SYSLOG_NG_PIDFILE}"
start_stop_daemon_args="--user \"${SYSLOG_NG_USER}\":\"${SYSLOG_NG_GROUP}\""
description="Syslog-ng is a syslog replacement with advanced filtering features."
description_checkconfig="Check the configuration file that will be used by \"start\""
description_reload="Reload the configuration without exiting"
required_files="${SYSLOG_NG_CONFIGFILE}"
required_dirs="${SYSLOG_NG_PIDFILE_DIR}"
depend() {
use clock
need hostname localmount
after bootmisc
provide logger
}
checkconfig() {
ebegin "Checking your configfile (${SYSLOG_NG_CONFIGFILE})"
syslog-ng -s -f "${SYSLOG_NG_CONFIGFILE}"
eend $? "Configuration error. Please fix your configfile (${SYSLOG_NG_CONFIGFILE})"
}
start_pre() {
checkconfig || return 1
checkpath \
-d \
--mode 0700 \
--owner "${SYSLOG_NG_USER}:${SYSLOG_NG_GROUP}" \
"${SYSLOG_NG_STATEFILE_DIR}"
}
stop_pre() {
[ "$RC_CMD" = restart ] && sleep 1
return 0
}
reload() {
checkconfig || return 1
ebegin "Reloading configuration and re-opening log files"
start-stop-daemon --signal HUP --pidfile "${pidfile}"
eend $?
}

142
app-admin/syslog-ng/syslog-ng-3.7.1.ebuild

@ -0,0 +1,142 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit autotools python-any-r1 eutils multilib systemd versionator
MY_PV=${PV/_/}
MY_PV_MM=$(get_version_component_range 1-2)
DESCRIPTION="syslog replacement with advanced filtering features"
HOMEPAGE="http://www.balabit.com/network-security/syslog-ng"
SRC_URI="https://github.com/balabit/syslog-ng/releases/download/${P}/${P}.tar.gz"
LICENSE="GPL-2+ LGPL-2.1+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="amqp caps dbi geoip ipv6 json mongodb pacct python redis smtp spoof-source systemd tcpd"
RESTRICT="test"
RDEPEND="
caps? ( sys-libs/libcap )
dbi? ( >=dev-db/libdbi-0.8.3 )
geoip? ( >=dev-libs/geoip-1.5.0 )
json? ( >=dev-libs/json-c-0.9 )
python? ( ${PYTHON_DEPS} )
redis? ( dev-libs/hiredis )
smtp? ( net-libs/libesmtp )
spoof-source? ( net-libs/libnet:1.1 )
systemd? ( sys-apps/systemd )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
dev-libs/libpcre
dev-libs/openssl:=
>=dev-libs/eventlog-0.2.12
>=dev-libs/glib-2.10.1:2"
DEPEND="${RDEPEND}
virtual/pkgconfig
sys-devel/flex"
S=${WORKDIR}/${PN}-${MY_PV}
pkg_setup() {
use python && python-any-r1_pkg_setup
}
src_prepare() {
epatch_user
use python && python_fix_shebang .
if use !json ; then
sed -i \
-e '1 s/cim //' \
scl/Makefile.am || die
eautoreconf
fi
cp "${FILESDIR}"/*logrotate*.in "${TMPDIR}" || die
cd "${TMPDIR}" || die
for f in *logrotate*.in ; do
if use systemd ; then
sed \
's/@GENTOO_RESTART@/systemctl kill -s HUP syslog-ng/' \
$f > ${f/.in/} || die
else
sed \
's:@GENTOO_RESTART@:/etc/init.d/syslog-ng reload:' \
$f > ${f/.in/} || die
fi
done
}
src_configure() {
econf \
--disable-java \
--disable-docs \
--enable-manpages \
--with-embedded-crypto \
--with-ivykis=internal \
--with-libmongo-client=internal \
--sysconfdir=/etc/syslog-ng \
--localstatedir=/var/lib/syslog-ng \
--with-pidfile-dir=/var/run \
--with-module-dir=/usr/$(get_libdir)/syslog-ng \
$(systemd_with_unitdir) \
$(use_enable systemd) \
$(use_enable caps linux-caps) \
$(use_enable geoip) \
$(use_enable ipv6) \
$(use_enable json) \
$(use_enable mongodb) \
$(use_enable pacct) \
$(use_enable python) \
$(use_enable redis) \
$(use_enable smtp) \
$(use_enable amqp) \
$(usex amqp --with-librabbitmq-client=internal --without-librabbitmq-client) \
$(use_enable spoof-source) \
$(use_enable dbi sql) \
$(use_enable tcpd tcp-wrapper)
}
src_install() {
# -j1 for bug #484470
emake -j1 DESTDIR="${D}" install
dodoc AUTHORS NEWS.md CONTRIBUTING.md contrib/syslog-ng.conf* \
contrib/syslog2ng "${FILESDIR}/${MY_PV_MM}/syslog-ng.conf.gentoo.hardened" \
"${TMPDIR}/syslog-ng.logrotate.hardened" "${FILESDIR}/README.hardened"
# Install default configuration
insinto /etc/syslog-ng
if use userland_BSD ; then
newins "${FILESDIR}/${MY_PV_MM}/syslog-ng.conf.gentoo.fbsd" syslog-ng.conf
else
newins "${FILESDIR}/${MY_PV_MM}/syslog-ng.conf.gentoo" syslog-ng.conf
fi
insinto /etc/logrotate.d
newins "${TMPDIR}/syslog-ng.logrotate" syslog-ng
newinitd "${FILESDIR}/${MY_PV_MM}/syslog-ng.rc6" syslog-ng
newconfd "${FILESDIR}/${MY_PV_MM}/syslog-ng.confd" syslog-ng
keepdir /etc/syslog-ng/patterndb.d /var/lib/syslog-ng
prune_libtool_files --modules
use python && python_optimize
}
pkg_postinst() {
elog "For detailed documentation please see the upstream website:"
elog "http://www.balabit.com/sites/default/files/documents/syslog-ng-ose-3.7-guides/en/syslog-ng-ose-v3.7-guide-admin/html/index.html"
# bug #355257
if ! has_version app-admin/logrotate ; then
echo
elog "It is highly recommended that app-admin/logrotate be emerged to"
elog "manage the log files. ${PN} installs a file in /etc/logrotate.d"
elog "for logrotate to use."
echo
fi
}

3
app-benchmarks/stress/Manifest

@ -1,6 +1,3 @@
DIST stress-0.18.6.tar.gz 162798 SHA256 e69f78cfb0f956b087275c535f960c281430812243374bf13a784055a453d938 SHA512 870a86a2b67005d58cd14c68e97a66650dc314d7f0f4a0c6061d7fd571916650ec0f4a81d9117762ec489d8caac042d8271e15a303eff5ef45a17a3faea05a7e WHIRLPOOL 1474a41692bc905648a39ab0c3a844254f75e64deff154a8351feb8dce495774d6e65f9aafef262743ebd6a5c43f4fb13df5e1bd567e9ba3e65a5eadd02a8cb5
DIST stress-1.0.0.tar.gz 178155 SHA256 778126fdcc3ecb54d4a8dad6164001603bcc3b79ba64b3c2c5285275bc0cbedf SHA512 e71f004f8351b6c29e161084eb5c5b5de78c8c2f7c90b0a3e3669ed35bce08443cb407db781b4291d6e929374cfd2fb8e1c114296f90500d9f22dd994290d8ac WHIRLPOOL 67c6dc89245ec4040e36a74c2cfc04c9bfd62bd202f8726b4b3e22b402dfe9a0eb020d6c12ad4b762c51316fdbd45c41cefc2cf57e426b71cce3bdd4b26c9668
DIST stress-1.0.1.tar.gz 203343 SHA256 813a9c78d0a7c27e257ab4523f1b0013e32b0eceabc19154d7d26118e9b73bed SHA512 d7de86cab38a688d2fc55f26a9b3562d58a40ef30bbfa974b6777b6a7d7e1b1f609ef78258af2d1b8aee0bcda432d5abe4f59b9529ea2730e26a054d1683d666 WHIRLPOOL 89349408fbeb654fae162f0e5435264e426b63f7ab05f3199505ded530ab5bb6c426a61440c5ecce34ea07641615a7b38c5d0c35abdb43153b6d9f71c0049c96
DIST stress-1.0.3.tar.gz 201376 SHA256 078e63ce88ebb78d0953954b6aaf2d55c6fdc0e6c778f7ad11af3863af941d03 SHA512 21072ef4eff0f689a363fc5350775c162ed34c8c94ae7457a16550e2fcb428cbc9246be617f67c584f384cddfa27587a9f949bf1de34b11c3b97b8a3d589254c WHIRLPOOL 9cd4a73663e7c3374006ae43b2803c8b7f536da36d25709b97a404c46326fd8dbdd20c169ac0d45dde952087f78c727ac58479c2f934440cc468398fa19ffb76
DIST stress-1.0.4-r1.tar.gz 191800 SHA256 057e4fc2a7706411e1014bf172e4f94b63a12f18412378fca8684ca92408825b SHA512 623a7d9585828bed4b7673e19fb0cfdda904552cd56353d74106047b64249299d5f8da892ec135f1781ec3984c7d5835dcc6c0d8e659e06c8a1e4fb2af9fd9c4 WHIRLPOOL f61eb216ec44242c74ae86b3c5390c361c16f4466cfad231d4fbfa93f61578c36dde779db3cf0ba8a0e0751b74fb33a1085372d825d9fd0ebb8120962e9f1cdf
DIST stress-1.0.4.tar.gz 201495 SHA256 369c997f65e8426ae8b318d4fdc8e6f07a311cfa77cc4b25dace465c582163c0 SHA512 54b3f9edbdaff228f2cfd40a7ce324eea95fc9ab54194d3bac04dc67f72b690e4748c8ff5161bca563d7dd573609092c3631cd4cceb14d813f16f7226ad1ce98 WHIRLPOOL a1ca33b3c3c4ac3e5073a9ea5fa43fe4295bfa2c26627b36366e875dc9c2b1776493d6895ca40008037e2bf2246117067b23cfab568143f1e0e3ec759aa458ea

27
app-benchmarks/stress/stress-0.18.6.ebuild

@ -1,27 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit flag-o-matic
MY_P="${PN}-${PV/_/}"
S="${WORKDIR}/${MY_P}"
DESCRIPTION="Imposes stressful loads on different aspects of the system"
HOMEPAGE="http://people.seas.harvard.edu/~apw/stress"
SRC_URI="http://weather.ou.edu/~apw/projects/stress/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~mips ppc ppc64 ~sparc x86"
IUSE="static"
src_compile() {
use static && append-ldflags -static
econf || die "econf failed"
emake || die "emake failed"
}
src_install() {
make DESTDIR="${D}" install || die "make install failed"
dodoc ChangeLog AUTHORS README
}

45
app-benchmarks/stress/stress-1.0.0.ebuild

@ -1,45 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit autotools flag-o-matic
MY_P="${PN}-${PV/_/}"
S="${WORKDIR}/${MY_P}"
DESCRIPTION="Imposes stressful loads on different aspects of the system"
HOMEPAGE="http://people.seas.harvard.edu/~apw/stress"
SRC_URI="http://weather.ou.edu/~apw/projects/stress/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~mips ppc ppc64 sparc x86"
IUSE="static"
DEPEND="sys-apps/help2man"
RDEPEND=""
src_unpack() {
unpack ${A}
cd "${S}"
# Force rebuild of the manpage.
rm -f doc/stress.1
# Honour Gentoo CFLAGS.
sed -i -e "/CFLAGS/s/-Werror//" \
-e "s/CFLAGS/AM_CFLAGS/" \
src/Makefile.am || die "sed cflags failed"
eautoreconf
}
src_compile() {
use static && append-ldflags -static
econf
emake || die "emake failed"
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc ChangeLog AUTHORS README
}

45
app-benchmarks/stress/stress-1.0.3.ebuild

@ -1,45 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit autotools flag-o-matic
MY_P="${PN}-${PV/_/}"
S="${WORKDIR}/${MY_P}"
DESCRIPTION="Imposes stressful loads on different aspects of the system"
HOMEPAGE="http://people.seas.harvard.edu/~apw/stress"
SRC_URI="http://weather.ou.edu/~apw/projects/stress/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="static"
DEPEND="sys-apps/help2man"
RDEPEND=""
src_unpack() {
unpack ${A}
cd "${S}"
# Force rebuild of the manpage.
rm -f doc/stress.1
# Honour Gentoo CFLAGS.
sed -i -e "/CFLAGS/s/-Werror//" \
-e "s/CFLAGS/AM_CFLAGS/" \
src/Makefile.am || die "sed cflags failed"
eautoreconf
}
src_compile() {
use static && append-ldflags -static
econf
emake || die "emake failed"
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc ChangeLog AUTHORS README
}

1
app-i18n/scim-m17n/Manifest

@ -1,2 +1 @@
DIST scim-m17n-0.2.2.tar.gz 343103 SHA256 cc88ece9460c25960c092c8cc088162a56c52a9d211c929ecadc15c8aca986ce SHA512 ed29cd191fcf8b56ede3e02034a5cfde0506985648364fed89798aa98d83a2110d1caa32c3b3517008f931a0b3f6dd4f1e9603695ff64230d9e2c1c0d84c4db4 WHIRLPOOL 3231d84b04137d6850c6c7e3ec01c5a6b960ee09d221d0b853e6da7e582bf07238263801b7c9c3d4d2fff6015c3c5b5eb9268d1ca105b079e5cc208821605f14
DIST scim-m17n-0.2.3.tar.gz 355801 SHA256 852548310b8fecfd97fcfa4a4aca9d6952e299adc785170cb3a827a8abec512d SHA512 c54be4c8c331d5621dcfa6c0c6f302231071dbbaf3ef7aee4117fe2c2616d58e184d3bae720dce27d5cb6567064add6979630090c72f9350391ca9c3e9c404f3 WHIRLPOOL 5d66046ce3ead52a9c7ca6357de33f435d4df56b2686563fe6368a45421916030442a3d8fb1e7eb1cf229e4897f8c0b60e468b6b5a4ea884dbfb3e1b5eca6107

40
app-i18n/scim-m17n/scim-m17n-0.2.2.ebuild

@ -1,40 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
inherit eutils
DESCRIPTION="scim-m17n is an input module for Smart Common Input Method (SCIM) which uses m17n as backend"
HOMEPAGE="http://www.scim-im.org/projects/imengines"
SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
DEPEND="|| ( >=app-i18n/scim-1.4 >=app-i18n/scim-cvs-1.4 )
>=dev-libs/m17n-lib-1.2.0"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-gcc43.patch
}
src_install() {
emake DESTDIR="${D}" install || die "make install failed"
dodoc AUTHORS ChangeLog THANKS README
}
pkg_postinst() {
elog
elog "To use SCIM with both GTK2 and XIM, you should use the following"
elog "in your user startup scripts such as .gnomerc or .xinitrc:"
elog
elog "LANG='your_language' scim -d"
elog "export XMODIFIERS=@im=SCIM"
elog "export GTK_IM_MODULE=\"scim\""
elog
}

13
app-misc/beep/beep-1.3.ebuild → app-misc/beep/beep-1.3-r1.ebuild

@ -13,9 +13,11 @@ SRC_URI="http://www.johnath.com/beep/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
IUSE="suid"
PATCHES=( ${FILESDIR}/${PN}-1.2.2-Makefile.patch )
PATCHES=(
"${FILESDIR}"/"${PN}"-1.2.2-Makefile.patch
)
pkg_setup() {
tc-export CC
@ -23,7 +25,12 @@ pkg_setup() {
src_install() {
dobin beep
fperms 0711 /usr/bin/beep
if use suid; then
fowners :audio /usr/bin/beep
fperms 4710 /usr/bin/beep
else
fperms 0711 /usr/bin/beep
fi
doman beep.1.gz
dodoc CHANGELOG CREDITS README
}

1
app-portage/conf-update/Manifest

@ -1 +1,2 @@
DIST conf-update-1.0.2.tar.bz2 18243 SHA256 1246b83d8927e4333cfcb535217e5f055bc9aa0290f617c2ab1bb97dbeb3de9c SHA512 8611b30e58a9222a024e19d67e957a63d9c44627067a241e4ee5e761f1950ae7f1aa1491f055ba267be65f813ee7da1a8703028736b65dfd2c4ef79ace906f49 WHIRLPOOL 139e07105eed7d8ee5246c24833ecc110c92a5361892a5ee98ea2eee5d30199cbee788f47497d5d32c95c387bbf2df16589faa79c2dbf00b5ca5d347d7483c9e
DIST conf-update-1.0.3.tar.bz2 18296 SHA256 5b8479447904e809338375c7d586803a3e8f8d6150cfc33da2c83763119a9a54 SHA512 7f20a4974f804d73729105d9abc0f3205a7574c6e2c6dbf020404f3161500b5ecc60d141e0833e9ae0f43a814591a74cd885a5033f50864bbcfb36ba452175b7 WHIRLPOOL e078895290de9cc116847a48c6fd6d190bc9a3700001de6d31a5728a7eefd2bc41bb34b67a3922ef10730f4668415a0b519861152ba4e54fe0150ec01232d578

35
app-portage/conf-update/conf-update-1.0.3.ebuild

@ -0,0 +1,35 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils toolchain-funcs
DESCRIPTION="${PN} is a ncurses-based config management utility"
HOMEPAGE="https://gitweb.gentoo.org/proj/conf-update.git/"
SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${PF}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="colordiff"
RDEPEND=">=dev-libs/glib-2.6
sys-libs/ncurses:0
dev-libs/openssl:0
colordiff? ( app-misc/colordiff )"
DEPEND="virtual/pkgconfig
${RDEPEND}"
src_prepare() {
sed -i -e "s/\$Rev:.*\\$/${PVR}/" "${S}"/"${PN}".h || die
if use colordiff ; then
sed -i -e "s/diff_tool=diff/diff_tool=colordiff/" ${PN}.conf \ die 'colordiff-sed failed'
fi
tc-export PKG_CONFIG
}
src_compile() {
emake CC="$(tc-getCC)"
}

45
dev-java/beansbinding/beansbinding-1.2.1-r2.ebuild

@ -0,0 +1,45 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2
DESCRIPTION="Implementation of JSR295"
HOMEPAGE="https://java.net/projects/beansbinding/"
SRC_URI="http://dev.gentoo.org/~monsieurp/packages/${P}-src.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=">=virtual/jdk-1.6
app-arch/unzip"
RDEPEND=">=virtual/jre-1.6"
S="${WORKDIR}"
# https://bugs.gentoo.org/show_bug.cgi?id=249740
# Quite weird. Should look into why this is happening.
JAVA_PKG_FILTER_COMPILER="ecj-3.5 ecj-3.4 ecj-3.3 ecj-3.2"
java_prepare() {
# Avoid the usual "Javadoc returned 1" error.
java-ant_xml-rewrite \
-f nbproject/build-impl.xml \
-c -e javadoc \
-a failonerror \
-v "false"
}
src_install() {
java-pkg_dojar "dist/${PN}.jar"
use doc && java-pkg_dojavadoc dist/javadoc
use source && java-pkg_dosrc src/*
}

1
dev-java/cocoon/Manifest

@ -1 +0,0 @@
DIST cocoon-2.1.11-src.tar.gz 48674390 SHA256 4b1d9f8ebd75d6228b3d76802941a8f41bfc0836c21d9d8cab764521c800a60c SHA512 5893f44d2c4ce0e29397da69db3d09f8a10b267b105d899122958b238d7651a4973b1af980e4c9d0e3656fd76d61e7610b57dc694d5d3a2964ea6c58c6df113e WHIRLPOOL 1c6ef78ae6d477da6c67ac2e12418a0a72290750a5ff46d09405d00629dc502b07c0d4c02ae32f1045bd6ce256b109bb7b5e8af8b6725823578b7ea69fb558aa

70
dev-java/cocoon/cocoon-2.1.11.ebuild

@ -1,70 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
JAVA_PKG_IUSE="doc"
inherit java-pkg-2 java-ant-2
DESCRIPTION="A Web Publishing Framework for Apache"
HOMEPAGE="http://cocoon.apache.org/"
SRC_URI="mirror://apache/cocoon/${P}-src.tar.gz"
LICENSE="Apache-1.1"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE=""
DEPEND=">=virtual/jdk-1.5"
RDEPEND=">=virtual/jre-1.5"
# I know this way of building cocoon is not the best, it will be fixed for
# cocoon-2.2
src_unpack() {
unpack ${A}
cd "${S}"
echo "# Gentoo build properties" > local.build.properties
if ! use doc; then
echo "exclude.javadocs=true" >> local.build.properties
echo "exclude.webapp.javadocs=true" >> local.build.properties
echo "exclude.webapp.documentation=true" >> local.build.properties
echo "exclude.idldocs=true" >> local.build.properties
echo "exclude.webapp.idldocs=true" >> local.build.properties
fi
java-ant_bsfix_files tools/targets/*-build.xml
sed -i -e 's/maxmemory="192m"/maxmemory="384m"/' tools/src/blocks-build.xsl
}
src_compile() {
sh build.sh war standalone-demo javadocs || die
}
src_install() {
java-pkg_dowar build/${PN}/${PN}.war
java-pkg_dojar build/${PN}/cocoon.jar
java-pkg_jarinto /usr/share/${PN}/lib/core/
java-pkg_dojar lib/core/*.jar
insinto /usr/share/${PN}/lib
doins "${S}/build/${PN}"/cocoon-*.jar "${S}/lib/jars.xml"
for i in endorsed optional local; do
dodir /usr/share/${PN}/lib/${i}
insinto /usr/share/${PN}/lib/${i}
doins "${S}/lib/${i}"/*
done
dodoc CREDITS.txt INSTALL.txt KEYS README.txt || die
use doc && java-pkg_dojavadoc build/cocoon/javadocs
docinto legal
dodoc legal/*
}
pkg_postinst() {
elog "This ebuild does no longer install the Cocoon webapp into"
elog "any servlet container anymore. Copy /usr/share/${PN}/webapps/${PN}.war"
elog "to your servlet container's webapps directory and restart the"
elog "server."
}

5
dev-java/cocoon/metadata.xml

@ -1,5 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>java</herd>
</pkgmetadata>

2
dev-java/icu4j/Manifest

@ -5,8 +5,6 @@ DIST icu4j-4_0_1_1-docs.jar 1553089 SHA256 44319c329b628c5e14e74eeb285ddb876c34e
DIST icu4j-4_0_1_1-src.jar 15138020 SHA256 9d5484ccb3ad6849b6d3986ee2cf146984cbbb8adb2349dc79f6a4e006bc417e SHA512 4eb02b50df0c7a008f6291c636cfc887b61ce503e0bd994d8cd5f3ec955b287e16ea640de98398414e000af8a859a4b087aa711cdaa53c8c17c7fdb760a4ca4e WHIRLPOOL 032412b7a7cb533e1f037c32cfa74db65272ca9c735d412c0f5f4abd1c41d5c4a1db26d0d8339693ff7229a052fd3cf1b8504cc250c17a3a45e7f4d58bb7f279
DIST icu4j-4_2_1_1-docs.jar 1633918 SHA256 3749ec254d38b6ca2e13ed5cf493ac371ff3c548bf95302af41bb408e0bcbfa8 SHA512 87eeb92f168b28aa4cce3b3547311020e0b052034ef160cb5ba3b8f7fc77829b231680f061686ea87dc388f961c4d1feffcb3fc24fe5df66e51c2983c4a5be30 WHIRLPOOL 2d1a2ad3c54624721c2e7e56bef927486ca82d6f8c7e00ad6b97707ca8b6c42186b5b45babdc73961e8e6b30ed9fc29f923cf580f17bcf974593f090ac3a767b
DIST icu4j-4_2_1_1-src.jar 16057200 SHA256 61e8d1f7879c580e7304222b80a1bf395455d50fa425a9d7e1b72164776a43fa SHA512 3d61a219a67ff5682a4c1484f7239b60982b8e6c25138ccb15a92cfae18c67592acea0200b2954f7a021b1d3765aabae98d5346f22e134af2ca18514a7925274 WHIRLPOOL cf87a51dd9f18c9f5af0549677fd971dfc9e527ee09c0e39d82fc0fa128eea6222c65d10df722b7d7f451bacaf5d80ce31122112fdcb720a2dcaaae05a61b163
DIST icu4j-4_4_1_1-docs.jar 1783697 SHA256 2063db589ce2d7b1b3aa9f4aeff2562be2993aa5a0755b65832304a963d29491 SHA512 2b3a665c2e748445f4acd8ae25641ff28b7d26e92a9e5427ca97ef5b63e051e635380e00f1f3a099dd4faf7eac0c038ce5e8a45380337b161daf3497d16ec56a WHIRLPOOL f5c4ac56b1eab843c8223b004d91f7bcbbaadda41bd3ff3702070941486aba27183659d78195eb3298e5dd85685562ffeb644454e41c27319272fc4c64dab808
DIST icu4j-4_4_1_1-src.jar 14821020 SHA256 a42c7db617c04f031a41bb66fa5d211f2fa2e535e2767297897e85d2ef525bff SHA512 bc02f42ea62ee1859db7be852d64c8113e8de82a21c689c2f97606fd04a773603a43ac9faee2705653bfd5c1e431a4db798751758c38dd8d0ab02142c455b243 WHIRLPOOL 2fb230aa7ff19483e177ef93f3ccfbbe7936d5cc3fbee05fac03c15e5ea7777ab2423722bebd37f428e22669b907ed3e07565b8dfc300c5b7bea01960fbd74b6
DIST icu4j-4_4_2-docs.jar 1783887 SHA256 aa364c9e353e05e428112b05f9a9fda8e1c7d2b3404862e6df08a73f7f8b187a SHA512 212d042ca27e442525a1dcd4f69a6668535d57e49a1302b97e32bfc7ed216146eedff52633770bb01f32f560fb6d7c00774b34385a7d87cab9f0b68188a37203 WHIRLPOOL 804ac774e6e9e4b06f1d06795ea70ecb68ee23ed7689d4b603682ca1271c2d18d258faf3c23e99ff8269275774b4ba0e1b605b2b7288b51e9ae5445d25c32d7c
DIST icu4j-4_4_2-src.jar 14844670 SHA256 c29fbf1464ad7fb88e8651953144884eea37adf36914e38a518774a99cf33b0d SHA512 90949f007e073c0e78510c66c2a1644985367921550f61976af61089ffc8a08e34a51c36c21f241f3073c7b3c5329d1ba7234043790db8dd8eef7eaf3edff79d WHIRLPOOL 82727e4e95ef662f9c6689bf5cd1d5c16f4238b682d2d88689ee561aae9c8ecc846f2bbb0adcfd125c7353b9ba160abc0c76d0d11af78047a59fd4504a39a720
DIST icu4j-52_1.tgz 22584166 SHA256 0d720ee63ec3976a0280bc5f42ef347a5823c0debe15bd42369316433f32ae05 SHA512 4546daa126410c21ec65acc75581831c139873e2465b9fd898215cc52ebfbd6441c0a260bd449aa3d0753fe0584c02d1bd033de46904aef9e27aaa3266b78738 WHIRLPOOL 9bd5b5085289c776c221a0a85edca11185fed77874e5520627ba60b9f2772c63aa078a765ba5b228570062d063fc3077b2cbe2417d4c241b4f6940f59206bd57

74
dev-java/icu4j/icu4j-4.4.1.1.ebuild

@ -1,74 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=2
# We currently download the Javadoc documentation.
# It could optionally be built using the Ant build file.
# testdata.jar and icudata.jar do not contain *.class files but *.res files
# These *.res data files are needed to built the final jar
# They do not need to be installed however as they will already be present in icu4j.jar
JAVA_PKG_IUSE="doc test source"
inherit java-pkg-2 java-ant-2
DESCRIPTION="A set of Java libraries providing Unicode and Globalization support"
MY_PV=${PV//./_}
SRC_URI="http://download.icu-project.org/files/${PN}/${PV}/${PN}-${MY_PV}-src.jar
doc? ( http://download.icu-project.org/files/${PN}/${PV}/${PN}-${MY_PV}-docs.jar )"
HOMEPAGE="http://www.icu-project.org/"
LICENSE="icu"
SLOT="4.4"
KEYWORDS="amd64 ~ppc ~ppc64 x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""
# Tests only work with JDK-1.6, severe out of memory problems appear with 1.5
DEPEND="test? ( =virtual/jdk-1.6* )
!test? ( >=virtual/jdk-1.5 )"
RDEPEND=">=virtual/jre-1.5"
RESTRICT="ia64? ( test )"
JAVA_PKG_WANT_SOURCE="1.5"
JAVA_PKG_WANT_TARGET="1.5"
JAVA_PKG_BSFIX_NAME="build.xml common-targets.xml"
S="${WORKDIR}"
src_unpack() {
jar -xf "${DISTDIR}/${PN}-${MY_PV}-src.jar" || die "Failed to unpack"
if use doc; then
mkdir docs; cd docs
jar -xf "${DISTDIR}/${PN}-${MY_PV}-docs.jar" || die "Failed to unpack docs"
fi
}
src_compile() {
# Classes extending CharsetICU not implementing Comparable
# Breaks with ecj on jdk 1.5+, javac doesn't mind - Sun's hack?
# Restricting to javac (didn't even care to try jikes) is better
# than forcing 1.4
java-pkg_force-compiler javac
eant jar || die "Compile failed"
}
src_install() {
java-pkg_dojar "${PN}.jar"
java-pkg_dojar "${PN}-charsets.jar"
java-pkg_dojar "${PN}-localespi.jar"
dohtml readme.html || die
use doc && java-pkg_dojavadoc docs
use source && java-pkg_dosrc main/classes/*/src/com
}
src_test() {
# bug #299082 - these tests fail with icedtea, assume too much about double<>string conversions
sed -i '/DiagBigDecimal/d' main/tests/core/src/com/ibm/icu/dev/test/TestAllCore.java || die
eant check
}

25
dev-java/jad-bin/jad-bin-1.5.8e.ebuild

@ -1,25 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DESCRIPTION="Jad - The fast JAva Decompiler"
HOMEPAGE="http://www.kpdus.com/jad.html"
SRC_URI="http://www.kpdus.com/jad/linux/jadls158.zip"
DEPEND="app-arch/unzip"
RDEPEND=""
KEYWORDS="x86 amd64 -ppc"
SLOT="0"
LICENSE="freedist"
IUSE=""
S=${WORKDIR}
RESTRICT="strip"
QA_PREBUILT="*"
src_install() {
into /opt
dobin jad || die "dobin failed"
dodoc Readme.txt || die "dodoc failed"
}

1
dev-java/jarbundler/Manifest

@ -1,3 +1,2 @@
DIST jarbundler-1.7.tar.gz 109484 SHA256 e727488efa0a990beca9343ad8050875ea459ea913aa7d54eeffc54c4a590ad2 SHA512 f3572fcf857c87fb6ff2c396f5da7502164a13e54a8adba1f9e6eece85c1a59509a3215443ca7d692992eac435bf4e962cc17f5ef64be0d0f676db563ade942a WHIRLPOOL 0a2f450980a6ccf954d75fd19b9e285054d0feb17d7913646e4875bd1273a5ed52236e3c34cab352e9168e71c7d339c6922ba73c66c2f8ecddaac3a53d6a4209
DIST jarbundler-1.8.1.tar.gz 132101 SHA256 19f670035bfe13409dd562753b32144f4597fb56782a7baf604ec034a5f4f6a2 SHA512 f18657aaaae749846544fc35b65fe5e548a0471d85bf4e1d671bf1c7309f2392487069e880ce5f9c1a0e076637dddd9274d536969a9df5401331835f881553b4 WHIRLPOOL fb80abf779f7ebadcb331ffc785a6ae99063955b5fafbaaca1edc1fd6ee4a1730ef3ce20c312c3d6eca7827ee47d9e62dbe3a78268e11890742c2f2d165468bf
DIST jarbundler.zip 159874 SHA256 6fb64f13d466804fa0ca0767708a0cc9cf1db1ed7904dc92afca188608ab9a6e SHA512 8b8b45533c601d10b6f986b913b824bb05617ac0901f178ee3fcfbdffa41ca060325228f71e62c4dfade778d50dd2040504eabf49311d386d75b82f77a535280 WHIRLPOOL 3676b6fabacc4054575cb5e5cf509a848d20222b28de1dad2ae0859f3b82ca070f294bb227849a3bb9a6a7662af45442a2fcb1502450a2cc7fe36c0e8be20245

30
dev-java/jarbundler/jarbundler-1.7.ebuild

@ -1,30 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2
DESCRIPTION="Jar Bundler Ant Task"
HOMEPAGE="http://www.loomcom.com/jarbundler/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND=">=virtual/jdk-1.4"
RDEPEND=">=virtual/jre-1.4
dev-java/ant-core"
src_compile() {
eant jar -Dant.jar="$(java-pkg_getjar ant-core ant.jar)" $(use_doc javadocs)
}
src_install() {
java-pkg_newjar "build/${P}.jar"
use doc && java-pkg_dojavadoc javadoc/
use source && java-pkg_dosrc src/*
}

41
dev-java/jarbundler/jarbundler-1.8.1-r1.ebuild

@ -1,41 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2
DESCRIPTION="Jar Bundler Ant Task"
HOMEPAGE="http://www.loomcom.com/jarbundler/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
COMMON_DEP=">=dev-java/xerces-2.8.1"
DEPEND=">=virtual/jdk-1.4
${COMMON_DEP}"
RDEPEND="
>=virtual/jre-1.4
>=dev-java/ant-core-1.7
${COMMON_DEP}"
src_unpack() {
unpack ${A}
cd "${S}"
rm -v *.jar || die
java-ant_rewrite-classpath
}
EANT_GENTOO_CLASSPATH="ant-core,xerces-2"
EANT_DOC_TARGET="javadocs"
src_install() {
java-pkg_newjar "build/${P}.jar"
java-pkg_register-ant-task
use doc && java-pkg_dojavadoc javadoc/
use source && java-pkg_dosrc src/*
}

69
dev-java/javacc/javacc-5.0.ebuild

@ -1,69 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="2"
JAVA_PKG_IUSE="doc examples source test"
inherit java-pkg-2 java-ant-2 eutils
DESCRIPTION="Java Compiler Compiler - The Java Parser Generator"
HOMEPAGE="https://javacc.dev.java.net/"
SRC_URI="https://${PN}.dev.java.net/files/documents/17/142527/${P}src.tar.gz"
LICENSE="BSD"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
DEPEND=">=virtual/jdk-1.5
dev-java/junit:0
test? ( dev-java/ant-junit )"
RDEPEND=">=virtual/jre-1.5
dev-java/junit:0"
S="${WORKDIR}/${PN}"
java_prepare() {
epatch "${FILESDIR}"/${PN}-4.0-javadoc.patch
rm -v lib/junit*/*.jar || die
}
_eant() {
eant -Djunit.jar="$(java-pkg_getjar --build-only junit junit.jar)" "${@}"
}
src_compile() {
# this testcase wants 1.5 and this seems the easiest way to do it
JAVA_PKG_WANT_SOURCE="1.5" JAVA_PKG_WANT_TARGET="1.5" java-ant_bsfix_one examples/JavaGrammars/1.5/build.xml
_eant jar $(use_doc)
}
src_test() {
ANT_TASKS="ant-junit" _eant test
}
src_install() {
java-pkg_dojar bin/lib/${PN}.jar
dodoc README || die
if use doc; then
java-pkg_dohtml -r www/*
java-pkg_dojavadoc doc/api
fi
if use examples; then
dodir /usr/share/doc/${PF}/examples
cp -R examples/* "${D}"/usr/share/doc/${PF}/examples
fi
use source && java-pkg_dosrc src/*
echo "JAVACC_HOME=/usr/share/javacc/" > "${T}"/22javacc
doenvd "${T}"/22javacc
echo "export VERSION=${PV}" > "${T}"/pre
local launcher
for launcher in javacc jjdoc jjtree
do
java-pkg_dolauncher ${launcher} -pre "${T}"/pre --main ${launcher}
done
}

1
dev-java/jcommon/Manifest

@ -1,3 +1,2 @@
DIST jcommon-1.0.16.tar.gz 1130148 SHA256 033fd5506d10dcfc7814180b09627e66232fd1ee29b769fc283aa936d7dd607d SHA512 81152e6d19f10eec2abe7704c8bb138448c25f39dcf42a9379e488e9163db041dec18b9407fca4c94e514801af5373c698d3867facc9887f98fb7d8e18086fae WHIRLPOOL e87eaec68455a89ac538ce9fcd3ccbea70efe6f2e5ccb0033c77b823ca5499686b3aaf7b13b29c4187b8b2c9e864cf1ecca2794d5fa37f6dde40da774c94c2c1
DIST jcommon-1.0.18.tar.gz 1133961 SHA256 a4daf9ed40712bfe9564dcd6eb8392711325aec78fa7c03e57c195f63413e3fd SHA512 83a4dfe7c7f631ee251cd1c133726060d8d380366ba0b39b043327c20e8128fd882b7374448738dcad3e1b6eadc0221242588c15c6feaa3c06101beafe2e79bb WHIRLPOOL cae9c1ff0d3658199378baf2ce58d25710aac17b7bca4d5e31136133868ebb41c6a71fd384a3ba1da2e800d364dd0bf5e70ef768148bbb56d440c78b8fe1e6d4
DIST jcommon-1.0.23.zip 1373666 SHA256 6351512b94fc2228034a5c43da52d9ef8ecb7781dcecdeba733441de7d7e18f1 SHA512 c358239da8b1ddf53ce94bebb00b6518456aa921dd3aa84fc6a23144d499f14a85ba421cd71f3880e8d10153a6ab816f54c1fa872a4ab694ce3c7b8d69bc2a4b WHIRLPOOL 467d7400a7009c38b86041977dd59f8a309f7a8ecf02226b80112d12aa3d472c9a42a9cc3e5620b64b0333d44f497f85d95a2184603df9eb21ad66a51ca7fa6c

47
dev-java/jcommon/jcommon-1.0.16.ebuild

@ -1,47 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=2
JAVA_PKG_IUSE="doc source test"
inherit java-pkg-2 java-ant-2 versionator
DESCRIPTION="JCommon is a collection of useful classes used by JFreeChart, JFreeReport and other projects"
HOMEPAGE="http://www.jfree.org/jcommon"
MY_P=${PN}-$(replace_version_separator 3 -)
SRC_URI="mirror://sourceforge/jfreechart/${MY_P}.tar.gz"
LICENSE="LGPL-2"
SLOT="1.0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND=">=virtual/jdk-1.4
test? ( dev-java/junit:0 )"
RDEPEND=">=virtual/jdk-1.4"
S=${WORKDIR}/${MY_P}
java_prepare() {
rm -v *.jar lib/*.jar || die
}
src_compile() {
if ! use debug; then
antflags="-Dbuild.debug=false -Dbuild.optimize=true"
fi
eant -f ant/build.xml compile $(use_doc) $antflags
}
src_test() {
java-pkg_jar-from --into lib junit
eant -f ant/build.xml compile-junit-tests
ejunit -cp "./lib/jcommon-${PV}-junit.jar:$(java-pkg_getjars junit)" \
org.jfree.junit.JCommonTestSuite
}
src_install() {
java-pkg_newjar ${P}.jar ${PN}.jar
dodoc README.txt || die
use doc && java-pkg_dojavadoc javadoc
use source && java-pkg_dosrc source/com source/org
}

4
dev-lang/ghc/Manifest

@ -6,8 +6,8 @@ DIST ghc-7.8.3-src.tar.xz 9160092 SHA256 b0cd96a549ba3b5e512847a4a8cd1a3174e4b2b
DIST ghc-7.8.4-ia64-CLOSUREs-regenerated.patch.gz 13268 SHA256 3bdff22e654aee6f942d43edf1bf6cf70404c0152c4fcf89276f10d2c4c5b4b9 SHA512 a655713e06324b56f0041edf70837487e296d28e6f3ee35fe116b9938765aaf3469d25e92645e0940655ed3607dff27d3826fe0f995c84e81b51bfc956816e7d WHIRLPOOL d2cb53bdc6debc0278d554168ea3ab22b0fd8314adac81444637278a92d21b766280fedfb4b7d1b4540c7381c7962dec6b13a799ab2fee4d456fe2875d5c6a5b
DIST ghc-7.8.4-src.tar.bz2 10600755 SHA256 59e3bd514a1820cc1c03e1808282205c0b8518369acae12645ceaf839e6f114b SHA512 079a53891d8ebd8d9b88da96170e60981608a619f8282e4b7948f35244e99bd87277649ac7fcebc227a61a4d21960db8d5e5b9e92f2c69c82d8d68d7fd0a41d3 WHIRLPOOL a9be7641adbd237ed6e0f644c312e655e98be9566097aee5e2c0022e8756d5b2236e42dd86d76c638a001b5ca3f67307e89ec0cd003a92cd112a5d6d3e3d8467
DIST ghc-bin-7.10.2-amd64.tbz2 112028560 SHA256 536297ac402da44ec1aafb1a937960883d12d192db16715ca34ab6469773a4c7 SHA512 207d8032c99d52bf4215ddeea2dbcd5816bb8d4caf2c3c31190e3ca92b49667d98a4f97aaf4cd6b40090f150854d520f75b5420dfe1ade7f036cf35d3dcb5100 WHIRLPOOL 8e43956a61c2c0fead242e3b179cde4918c04f3db7dbb27cc986f00f981261d98028ead82548b87d183d8da928635d5db4aa62ff1161f4077e5370483530a316
DIST ghc-bin-7.10.2-r1-amd64.tbz2 111915962 SHA256 3c5972b69be650bc2d3a07ff8a6be97a2d8fd07387aee155183960ebcd7bd60c SHA512 e87c7c177cbfac7e8206c3ad94ab36d568d3b294311b60df5db50e3c6d46e0b5fae77b8b74701b6920f419c0bc7f763fe478760f14b00c1fc18fb79e9b17bb4f WHIRLPOOL b5be3ef924d729e77626ce69859ffa8952e1f5053a36672cef5713aa60b7167ab9d3886cc8052cacfdb6756d50db444b3f80bca77a932719a16cc9b4583e8319
DIST ghc-bin-7.10.2-r1-x86.tbz2 113566669 SHA256 d0ff86c34d009e7980d3b1ea85b24dfe3854d85cf2aece36dbad38078283a382 SHA512 a2bfef656603db15147399424733f1f97867b0ad883880ee8912bbbad7fe42646caf6023a17653119ad7ea246ffe3f2ecff5b924c6912c41fb601d51c032c2ce WHIRLPOOL 2f2d4accbbaa3202754a9463dc321d0b830bc4710db36c5ca4dcf3ae00882f34db16bf613ba52712671aee69bb5ae2747d12a29a520a29fd057c86ec20e53286
DIST ghc-bin-7.10.2-r1-amd64-noncurses.tbz2 111863814 SHA256 782a68a13343ac8d6ed97540b411f714c4e826ccc3d152724198548c9240aceb SHA512 b154dbd7fb4fefc4283ec337b0c6ce6b6b6b3a62e9d889ca9c5dd5b5e5987f811a1c87845239ca94941afea630fc8bf1d8db94eb11a4023abd4b1d772dfb17c1 WHIRLPOOL 1e1f1ec82c831d115cd5f0b27f1914da94d92a9eca9af634210eb5f72b54281de6e08ea8e304bebaec8a456659b40866b9f0e24ef0e72c3f5a63d85296eb172a
DIST ghc-bin-7.10.2-r1-x86-noncurses.tbz2 113572461 SHA256 3ad1e2888d26b6858cd1efe0e9863bc325b97c47be19fdd2e8dd5bbc86f7266b SHA512 573b7228b576a47ca1c3796cc2d4180a6c9dcaff58555cf52fc85a9b487920fc19487ff9ee8e0b6c33d6196ba05b9908f0d984bf3a4c0d91f52667e7389580a5 WHIRLPOOL 2c8cda95d04e9f345aa2f20fe8758761dd35648b788b7bf9b8f571687a8aae92456552883684d83ec2d2acaf22a002121643316df3c82349400c7de3d0300f7d
DIST ghc-bin-7.10.2-x86.tbz2 113900477 SHA256 eefb7a3002e3dcdd6d936b2b2826eadf3cd100352babad4c9a355b944064240a SHA512 61dae4b9c80bfef6b1e0550c77b70f25d11f4a9fbe3b57d6c4ad451b4b584884432405d39dc32b9f85f3a5ad9d02657356ae0ebd99518848f3d330314c74b595 WHIRLPOOL da0d7eb62d2ee2aeb80a3f495da2ff123e29151b7517fbcd212f83ab3722638f10019511f4f237e8e001c68dd957ed2817fb0f1a2b42c2710239343f1d801496
DIST ghc-bin-7.4.2-alpha.tbz2 130483507 SHA256 cd8e72e569574f137bf10fcdb4337bb0dc320deb2a2c4d72529a821735c53ae6 SHA512 6fb99dea706965afa60f4aeb68da3da1c69dda477f5fcfb4e67b73d75b78583193148ce9f623a356679a57f1a740f8010f28a22f08e56ace50f3fcd42142f83f WHIRLPOOL e5ec69ab24dc963ac709f13928c0e35931d5d50ca6b21dfb0aa79f9088c0ce1196b64bb4d9668e35d73dcdf9e2df9c3da59c95eaf3db8b793a6bb65b1f4ba6c0
DIST ghc-bin-7.4.2-amd64-stable-glibc.tbz2 93139900 SHA256 f06dff00585cc1a8ecc8ac29aeca7fdc601d272eed29d7613f7a2f2924cad585 SHA512 9b725f2613dd9013851a16eaea4000ea424c51cbafa97d3860f120fdb9936247f8c65208775a80a2f49b74946ddda2e843a54dec00b78c521197374aa3dd2d50 WHIRLPOOL 9e2630b1de40a059c324be38a1fe68b16ea484bc7afc2a397ea05192263d1964aed1d29fde543622ceab12ed2df111204576fdc72b7e35b2bbf9c6b9519901d1

6
dev-lang/ghc/ghc-7.10.2-r1.ebuild

@ -27,12 +27,12 @@ arch_binaries=""
# sorted!
#arch_binaries="$arch_binaries alpha? ( http://code.haskell.org/~slyfox/ghc-alpha/ghc-bin-${PV}-alpha.tbz2 )"
#arch_binaries="$arch_binaries arm? ( http://code.haskell.org/~slyfox/ghc-arm/ghc-bin-${PV}-arm.tbz2 )"
arch_binaries="$arch_binaries amd64? ( http://code.haskell.org/~slyfox/ghc-amd64/ghc-bin-${PVR}-amd64.tbz2 )"
arch_binaries="$arch_binaries amd64? ( http://code.haskell.org/~slyfox/ghc-amd64/ghc-bin-${PVR}-amd64-noncurses.tbz2 )"
#arch_binaries="$arch_binaries ia64? ( http://code.haskell.org/~slyfox/ghc-ia64/ghc-bin-${PV}-ia64-fixed-fiw.tbz2 )"
#arch_binaries="$arch_binaries ppc? ( http://code.haskell.org/~slyfox/ghc-ppc/ghc-bin-${PV}-ppc.tbz2 )"
#arch_binaries="$arch_binaries ppc64? ( http://code.haskell.org/~slyfox/ghc-ppc64/ghc-bin-${PV}-ppc64.tbz2 )"
#arch_binaries="$arch_binaries sparc? ( http://code.haskell.org/~slyfox/ghc-sparc/ghc-bin-${PV}-sparc.tbz2 )"
arch_binaries="$arch_binaries x86? ( http://code.haskell.org/~slyfox/ghc-x86/ghc-bin-${PVR}-x86.tbz2 )"
arch_binaries="$arch_binaries x86? ( http://code.haskell.org/~slyfox/ghc-x86/ghc-bin-${PVR}-x86-noncurses.tbz2 )"
# various ports:
#arch_binaries="$arch_binaries x86-fbsd? ( http://code.haskell.org/~slyfox/ghc-x86-fbsd/ghc-bin-${PV}-x86-fbsd.tbz2 )"
@ -529,7 +529,9 @@ src_configure() {
# - embed libffi (default GHC behaviour)
# - disable ncurses support for ghci (via haskeline)
# https://bugs.gentoo.org/557478
# - disable ncurses support for ghc-pkg
echo "libraries/haskeline_CONFIGURE_OPTS += --flag=-terminfo" >> mk/build.mk
echo "utils/ghc-pkg_HC_OPTS += -DBOOTSTRAPPING" >> mk/build.mk
else
econf_args+=(--with-system-libffi)
econf_args+=(--with-ffi-includes=$(pkg-config libffi --cflags-only-I | sed -e 's@^-I@@'))

2
dev-libs/gf-complete/gf-complete-0.0.0.ebuild

@ -11,7 +11,7 @@ HOMEPAGE="http://jerasure.org/"
SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/${P}.tar.gz"
S="${WORKDIR}/${PN}.git"
LICENSE="all-rights-reserved"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

2
dev-libs/jerasure/jerasure-0.0.0.ebuild

@ -11,7 +11,7 @@ HOMEPAGE="http://jerasure.org/"
SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/${P}.tar.gz"
S="${WORKDIR}/${PN}.git"
LICENSE="all-rights-reserved"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

7
dev-libs/nspr/nspr-4.10.8.ebuild

@ -11,7 +11,7 @@ MIN_PV="$(get_version_component_range 2)"
DESCRIPTION="Netscape Portable Runtime"
HOMEPAGE="http://www.mozilla.org/projects/nspr/"
SRC_URI="ftp://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v${PV}/src/${P}.tar.gz"
SRC_URI="http://archive.mozilla.org/pub/mozilla.org/nspr/releases/v${PV}/src/${P}.tar.gz"
LICENSE="|| ( MPL-2.0 GPL-2 LGPL-2.1 )"
SLOT="0"
@ -38,6 +38,11 @@ src_prepare() {
# We do not need to pass -L$libdir via nspr-config --libs
epatch "${FILESDIR}"/${PN}-4.9.5_nspr_config.patch
# rename configure.in to configure.ac for new autotools compatibility
if [[ -e "${S}"/nspr/configure.in ]] ; then
einfo "Renaming configure.in to configure.ac"
mv "${S}"/nspr/configure.{in,ac} || die
fi
# We must run eautoconf to regenerate configure
eautoconf

1
dev-libs/nss/Manifest

@ -1,3 +1,4 @@
DIST nss-3.14.1-add_spi+cacerts_ca_certs.patch 25018 SHA256 82ca25982828fd7153ad15fc6e81408c115476eeeb4045d3a71469380b56824b SHA512 2aafbd972b073061bfd66a66a4b50060691957f2910f716f7a69d22d655c499f186f05db2101bea5248a00949f339327ba8bfffec024c61c8ee908766201ae00 WHIRLPOOL c9fe397e316dac7983b187acf7227078ebd8f8da5df53f77f2564489e85f123c4d2afb88d56e8dc14b9ebfffe8a71ade4724b3c1ea683c5c4c487cb3a64eda43
DIST nss-3.19.2.tar.gz 6953657 SHA256 1306663e8f61d8449ad8cbcffab743a604dcd9f6f34232c210847c51dce2c9ae SHA512 d3c45010f8dace58f9da9efe0f9792f8b8a69384e100663f33c949685cdd1ce70e5131f279bc82336622841c41dbc0a4d70a7cc6839a1782dbe8b3c3fd8bc59d WHIRLPOOL d69ab02e12f6b22f47df7be7925343c58e68a69b33833b85d6f2ca70f652d9d159accea45f2c141fa89245ab64dffff0f1289129427564203fe2faf3af1c11e3
DIST nss-3.20.tar.gz 6955552 SHA256 5e38d4b9837ca338af966b97fc91c07f67ad647fb38dc4af3cfd0d84e477d15c SHA512 50f666209cadd4e463f98643ec67e35f4d1b88381e17db9eed7c67559b19799fcc27e49d72536f546d4c45bca2afa4664e5590f868775a4397a77111d68fc366 WHIRLPOOL 84f20e6764b3621762fcfcb9223a3861e1f5ff02078b19b7df2eb58430a5f96943d962dca2d3366b18cd434acf3d3be746242c5064497167d5671c50233834de
DIST nss-pem-015ae754dd9f6fbcd7e52030ec9732eb27fc06a8.tar.bz2 27506 SHA256 50d9ec26a75835e900302f631456e278e13d4b435b8f98aa69f79dd439ddc6ab SHA512 0158a140f112a905f7db5a4f4d04f49f6742db1d2665ddf6c32913c367f0b93a57f86ba13b9883a42a528aff44c48196941d7c0fd7a27005db6adaf07802e501 WHIRLPOOL 279ef11d2d6f0cb7c192189d64bc6971cdada7417b93a65a3ff0ba4548b736b53b9812803024c2349114e94e0864f2b58c23812687ed3f75cf28334b0f6e11ac

2
dev-libs/nss/nss-3.19.2.ebuild

@ -13,7 +13,7 @@ PEM_P="${PN}-pem-${PEM_GIT_REV}"
DESCRIPTION="Mozilla's Network Security Services library that implements PKI support"
HOMEPAGE="http://www.mozilla.org/projects/security/pki/nss/"
SRC_URI="ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/${RTM_NAME}/src/${P}.tar.gz
SRC_URI="http://archive.mozilla.org/pub/mozilla.org/security/nss/releases/${RTM_NAME}/src/${P}.tar.gz
cacert? ( https://dev.gentoo.org/~anarchy/patches/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch )
nss-pem? ( https://git.fedorahosted.org/cgit/nss-pem.git/snapshot/${PEM_P}.tar.bz2 )"

325
dev-libs/nss/nss-3.20.ebuild

@ -0,0 +1,325 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils flag-o-matic multilib toolchain-funcs multilib-minimal
NSPR_VER="4.10.8"
RTM_NAME="NSS_${PV//./_}_RTM"
# Rev of https://git.fedorahosted.org/cgit/nss-pem.git
PEM_GIT_REV="015ae754dd9f6fbcd7e52030ec9732eb27fc06a8"
PEM_P="${PN}-pem-${PEM_GIT_REV}"
DESCRIPTION="Mozilla's Network Security Services library that implements PKI support"
HOMEPAGE="http://www.mozilla.org/projects/security/pki/nss/"
SRC_URI="http://archive.mozilla.org/pub/mozilla.org/security/nss/releases/${RTM_NAME}/src/${P}.tar.gz
cacert? ( https://dev.gentoo.org/~anarchy/patches/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch )
nss-pem? ( https://git.fedorahosted.org/cgit/nss-pem.git/snapshot/${PEM_P}.tar.bz2 )"
LICENSE="|| ( MPL-2.0 GPL-2 LGPL-2.1 )"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+cacert +nss-pem utils"
CDEPEND=">=dev-db/sqlite-3.8.2[${MULTILIB_USEDEP}]
>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]"
DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
>=dev-libs/nspr-${NSPR_VER}[${MULTILIB_USEDEP}]
${CDEPEND}"
RDEPEND=">=dev-libs/nspr-${NSPR_VER}[${MULTILIB_USEDEP}]
${CDEPEND}
abi_x86_32? (
!<=app-emulation/emul-linux-x86-baselibs-20140508-r12
!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
)"
RESTRICT="test"
S="${WORKDIR}/${P}/${PN}"
MULTILIB_CHOST_TOOLS=(
/usr/bin/nss-config
)
src_unpack() {
unpack ${A}
if use nss-pem ; then
mv "${PEM_P}"/nss/lib/ckfw/pem/ "${S}"/lib/ckfw/ || die
fi
}
src_prepare() {
# Custom changes for gentoo
epatch "${FILESDIR}/${PN}-3.17.1-gentoo-fixups.patch"
epatch "${FILESDIR}/${PN}-3.15-gentoo-fixup-warnings.patch"
use cacert && epatch "${DISTDIR}/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch"
use nss-pem && epatch "${FILESDIR}/${PN}-3.15.4-enable-pem.patch"
epatch "${FILESDIR}/nss-3.14.2-solaris-gcc.patch"
epatch "${FILESDIR}/${PN}-cacert-class3.patch" # 521462
pushd coreconf >/dev/null || die
# hack nspr paths
echo 'INCLUDES += -I$(DIST)/include/dbm' \
>> headers.mk || die "failed to append include"
# modify install path
sed -e '/CORE_DEPTH/s:SOURCE_PREFIX.*$:SOURCE_PREFIX = $(CORE_DEPTH)/dist:' \
-i source.mk || die
# Respect LDFLAGS
sed -i -e 's/\$(MKSHLIB) -o/\$(MKSHLIB) \$(LDFLAGS) -o/g' rules.mk
popd >/dev/null || die
# Fix pkgconfig file for Prefix
sed -i -e "/^PREFIX =/s:= /usr:= ${EPREFIX}/usr:" \
config/Makefile || die
# use host shlibsign if need be #436216
if tc-is-cross-compiler ; then
sed -i \
-e 's:"${2}"/shlibsign:shlibsign:' \
cmd/shlibsign/sign.sh || die
fi
# dirty hack
sed -i -e "/CRYPTOLIB/s:\$(SOFTOKEN_LIB_DIR):../freebl/\$(OBJDIR):" \
lib/ssl/config.mk || die
sed -i -e "/CRYPTOLIB/s:\$(SOFTOKEN_LIB_DIR):../../lib/freebl/\$(OBJDIR):" \
cmd/platlibs.mk || die
multilib_copy_sources
strip-flags
}
multilib_src_configure() {
# Ensure we stay multilib aware
sed -i -e "/@libdir@/ s:lib64:$(get_libdir):" config/Makefile || die
}
nssarch() {
# Most of the arches are the same as $ARCH
local t=${1:-${CHOST}}
case ${t} in
aarch64*)echo "aarch64";;
hppa*) echo "parisc";;
i?86*) echo "i686";;
x86_64*) echo "x86_64";;
*) tc-arch ${t};;
esac
}
nssbits() {
local cc cppflags="${1}CPPFLAGS" cflags="${1}CFLAGS"
if [[ ${1} == BUILD_ ]]; then
cc=$(tc-getBUILD_CC)
else
cc=$(tc-getCC)
fi
echo > "${T}"/test.c || die
${cc} ${!cppflags} ${!cflags} -c "${T}"/test.c -o "${T}/${1}test.o" || die
case $(file "${T}/${1}test.o") in
*32-bit*x86-64*) echo USE_X32=1;;
*64-bit*|*ppc64*|*x86_64*) echo USE_64=1;;
*32-bit*|*ppc*|*i386*) ;;
*) die "Failed to detect whether ${cc} builds 64bits or 32bits, disable distcc if you're using it, please";;
esac
}
multilib_src_compile() {
# use ABI to determine bit'ness, or fallback if unset
local buildbits mybits
case "${ABI}" in
n32) mybits="USE_N32=1";;
x32) mybits="USE_X32=1";;
s390x|*64) mybits="USE_64=1";;
${DEFAULT_ABI})
einfo "Running compilation test to determine bit'ness"
mybits=$(nssbits)
;;
esac
# bitness of host may differ from target
if tc-is-cross-compiler; then
buildbits=$(nssbits BUILD_)
fi
local makeargs=(
CC="$(tc-getCC)"
AR="$(tc-getAR) rc \$@"
RANLIB="$(tc-getRANLIB)"
OPTIMIZER=
${mybits}
)
# Take care of nspr settings #436216
local myCPPFLAGS="${CPPFLAGS} $($(tc-getPKG_CONFIG) nspr --cflags)"
unset NSPR_INCLUDE_DIR
# Do not let `uname` be used.
if use kernel_linux ; then
makeargs+=(
OS_TARGET=Linux
OS_RELEASE=2.6
OS_TEST="$(nssarch)"
)
fi
export BUILD_OPT=1
export NSS_USE_SYSTEM_SQLITE=1
export NSDISTMODE=copy
export NSS_ENABLE_ECC=1
export FREEBL_NO_DEPEND=1
export ASFLAGS=""
local d
# Build the host tools first.
LDFLAGS="${BUILD_LDFLAGS}" \
XCFLAGS="${BUILD_CFLAGS}" \
NSPR_LIB_DIR="${T}/fakedir" \
emake -j1 -C coreconf \
CC="$(tc-getBUILD_CC)" \
${buildbits:-${mybits}}
makeargs+=( NSINSTALL="${PWD}/$(find -type f -name nsinstall)" )
# Then build the target tools.
for d in . lib/dbm ; do
CPPFLAGS="${myCPPFLAGS}" \
XCFLAGS="${CFLAGS} ${CPPFLAGS}" \
NSPR_LIB_DIR="${T}/fakedir" \
emake -j1 "${makeargs[@]}" -C ${d}
done
}
# Altering these 3 libraries breaks the CHK verification.
# All of the following cause it to break:
# - stripping
# - prelink
# - ELF signing
# http://www.mozilla.org/projects/security/pki/nss/tech-notes/tn6.html
# Either we have to NOT strip them, or we have to forcibly resign after
# stripping.
#local_libdir="$(get_libdir)"
#export STRIP_MASK="
# */${local_libdir}/libfreebl3.so*
# */${local_libdir}/libnssdbm3.so*
# */${local_libdir}/libsoftokn3.so*"
export NSS_CHK_SIGN_LIBS="freebl3 nssdbm3 softokn3"
generate_chk() {
local shlibsign="$1"
local libdir="$2"
einfo "Resigning core NSS libraries for FIPS validation"
shift 2
local i
for i in ${NSS_CHK_SIGN_LIBS} ; do
local libname=lib${i}.so
local chkname=lib${i}.chk
"${shlibsign}" \
-i "${libdir}"/${libname} \
-o "${libdir}"/${chkname}.tmp \
&& mv -f \
"${libdir}"/${chkname}.tmp \
"${libdir}"/${chkname} \
|| die "Failed to sign ${libname}"
done
}
cleanup_chk() {
local libdir="$1"
shift 1
local i
for i in ${NSS_CHK_SIGN_LIBS} ; do
local libfname="${libdir}/lib${i}.so"
# If the major version has changed, then we have old chk files.
[ ! -f "${libfname}" -a -f "${libfname}.chk" ] \
&& rm -f "${libfname}.chk"
done
}
multilib_src_install() {
pushd dist >/dev/null || die
dodir /usr/$(get_libdir)
cp -L */lib/*$(get_libname) "${ED}"/usr/$(get_libdir) || die "copying shared libs failed"
cp -L -t "${ED}"/usr/$(get_libdir) */lib/{libcrmf,libfreebl}.a || die "copying libs failed"
# Install nss-config and pkgconfig file
dodir /usr/bin
cp -L */bin/nss-config "${ED}"/usr/bin || die
dodir /usr/$(get_libdir)/pkgconfig
cp -L */lib/pkgconfig/nss.pc "${ED}"/usr/$(get_libdir)/pkgconfig || die
# create an nss-softokn.pc from nss.pc for libfreebl and some private headers
# bug 517266
sed -e 's#Libs:#Libs: -lfreebl#' \
-e 's#Cflags:#Cflags: -I${includedir}/private#' \
*/lib/pkgconfig/nss.pc >"${ED}"/usr/$(get_libdir)/pkgconfig/nss-softokn.pc \
|| die "could not create nss-softokn.pc"
# all the include files
insinto /usr/include/nss
doins public/nss/*.h
insinto /usr/include/nss/private
doins private/nss/{blapi,alghmac}.h
popd >/dev/null || die
local f nssutils
# Always enabled because we need it for chk generation.
nssutils="shlibsign"
if multilib_is_native_abi ; then
if use utils; then
# The tests we do not need to install.
#nssutils_test="bltest crmftest dbtest dertimetest
#fipstest remtest sdrtest"
nssutils="addbuiltin atob baddbdir btoa certcgi certutil checkcert
cmsutil conflict crlutil derdump digest makepqg mangle modutil multinit
nonspr10 ocspclnt oidcalc p7content p7env p7sign p7verify pk11mode
pk12util pp rsaperf selfserv shlibsign signtool signver ssltap strsclnt
symkeyutil tstclnt vfychain vfyserv"
# install man-pages for utils (bug #516810)
doman doc/nroff/*.1
fi
pushd dist/*/bin >/dev/null || die
for f in ${nssutils}; do
dobin ${f}
done
popd >/dev/null || die
fi
# Prelink breaks the CHK files. We don't have any reliable way to run
# shlibsign after prelink.
local l libs=() liblist
for l in ${NSS_CHK_SIGN_LIBS} ; do
libs+=("${EPREFIX}/usr/$(get_libdir)/lib${l}.so")
done
liblist=$(printf '%s:' "${libs[@]}")
echo -e "PRELINK_PATH_MASK=${liblist%:}" > "${T}/90nss-${ABI}"
doenvd "${T}/90nss-${ABI}"
}
pkg_postinst() {
multilib_pkg_postinst() {
# We must re-sign the libraries AFTER they are stripped.
local shlibsign="${EROOT}/usr/bin/shlibsign"
# See if we can execute it (cross-compiling & such). #436216
"${shlibsign}" -h >&/dev/null
if [[ $? -gt 1 ]] ; then
shlibsign="shlibsign"
fi
generate_chk "${shlibsign}" "${EROOT}"/usr/$(get_libdir)
}
multilib_foreach_abi multilib_pkg_postinst
}
pkg_postrm() {
multilib_pkg_postrm() {
cleanup_chk "${EROOT}"/usr/$(get_libdir)
}
multilib_foreach_abi multilib_pkg_postrm
}

6
dev-lisp/ecls/Manifest

@ -1,8 +1,4 @@
DIST ecl-10.4.1.tar.gz 5835953 SHA256 505dcfe8f26aca352271225ad5a7f117b9bef0f6e7f7a7abaf7b7f11f7c63c6c SHA512 4e3d378d9e40c56f75e12923e223ee37ed8c12268926032665d11239a8373b58a806a765f60543305cfae09f42a2ce8726c944cdeaa1a9f170a80df488404244 WHIRLPOOL daa638689e308c335fa8fbf2c273f06a954b20c24e3e60ffa8e948e84956f69e4c5d59140ebcb98d92bd6a5cc6c381607be2259b96531d3bc33f1ca0bfa1caad
DIST ecl-11.1.1.tar.gz 5898523 SHA256 28acce874e264a9e7182a2424bb7a1a3f7d834a8f2e1346ec0ef7156d4ed3b07 SHA512 a813d1514fcb0c1fba2090dc5232ab1261f293db050f54909dd74084cd757144d5e3a24677bbbcfcc74457247a1797059dc09ead8a14b8c23395c03c93e9d0dc WHIRLPOOL 42df041d01a1aeaddb235604e962b5aa55752ed60998bf9a40a4c001bf3281384e787c5a6cd513af3ca863f5b29885b1441640d0b17da5465142a4fda45fa2c3
DIST ecl-12.12.1.tgz 9006697 SHA256 54e77ce8157752eab49f8640f7d0077522d493a4d4def463af26d292e46bc297 SHA512 9ac5d61e37cf18a56b2fb572b830955ededbe72d5d9a4e32ed631cd8cb5d27804ff5c0216a41f10ac988320b0584bcc4f9b4fb23732c541ee29f422c5726b23a WHIRLPOOL 8c2b1bd61caa27442bf337ab64788806e7e20150a902fe6c6d6cc593a3350d67252f8d450e6fd1ee99456a6238891c4b383044a6e79a77fad174d5db5a668aeb
DIST ecl-12.2.1.tgz 8974948 SHA256 dbb3f83c27f3d2565ca22c1c6b4ab497bbfdd0d0a7b09dee76338f378621f091 SHA512 bf9bff5bfa02c638549ab7dab28d6778c6f676c0ea3ea8b8c11f85a4e9f3cf9fae23c7ec505024b3925ae0c905fccc132729964992c6d9b1524d9dd3b92bdf1f WHIRLPOOL cc8af8a2f92b66acb8578e76b7c982a57567591967c2e2fafbe681fdb8e78725072ec83d240addc255ff29979e6a6d23d077095f094288316f5dd16325d8ffbe
DIST ecl-12.7.1.tar.gz 9009087 SHA256 5709bfb92eff00ddc4bcd59375835e9421dae2d258466af75e7e8d2748e01c4d SHA512 1f4312a9b64e55b01df62b492c1d23bdb231abd28c357d18bd813481e0943a852fdaa79bc89c45d1d1da9c0e8a4e5b43c5525488280156d76cc42e0fe9e0c5fe WHIRLPOOL eb915ce3f014ac7583b4c678f9009acfab73a7ad15abe49542fe49718049804e3bc7270e3b8e8e45687738ebc1119d1a224c1b454e8feac1fc1687b2a2bf4320
DIST ecl-13.5.1.tgz 9401163 SHA256 f91c57ce065fe9748bc8104e191e4b2dcfe854d634315fe7800dd0a613472ca2 SHA512 a09f8b824aa78e461d700eefb1a8b68b876e15d49124a397e0b5b58ad73b80f818133a7b8e48ddb83505eea2f9c5fb024de8701b527524004e336e456eb07c84 WHIRLPOOL def6de6444430e45bfff29c0716a23869e3455ba9b1cd9bfc1f02ef5c79c83df5b2280b8bada28acb1e742cdbe5c819970273386333d7c7c7c4fb48464dc6a2b
DIST ecl-15.3.7.tgz 8755180 SHA256 2dc6ffbbf1e0a7b1323d49a991ba1f005127ca3e153651d91ba9e65bdaec948f SHA512 50a28ed551e507bee526ae44a12da2524c1feedf07cf8ca99650e37ecd7b99c4e2f2758c077979b174d303ffdcd9325637b708a29d14d8c3851c7e65d4ea026c WHIRLPOOL 57b0382b0e3dc7cd601b835a371c9ec6658911b1471cb5bfeee6144d22500e8ca55268f2a001c49d446e9be1a3771ca12348f2565f68ec83f1660c4295545a06
DIST ecl-9.12.3.tgz 5758828 SHA256 f4f2e9d584130db9bb61bd09a676ad67c5d0f1ca8096ed781b50a2ae99c5e682 SHA512 8171d28945e5c06f55f6bc5bcf41b5370ee4d5723b3957d2c841aee1e100f3c2ca497f0651f777acd39ceaefeec2737ec254165280446fe51a4ef5cf81ef64b0 WHIRLPOOL 6ff09c048eb639b424a6b32cac88877d11d150f06a1bb482061dc8561c304afc3dbede3610a523a450a1792fd768e713c36dba04ca16501f090a803d7326dd87
DIST ecl-16.0.0.tgz 8009304 SHA256 343ed4c3e4906562757a6039b85ce16d33dd5e8001d74004936795983e3af033 SHA512 15e4c604901dae1037e54ab1739d45a0f5f05decf6e72ba60d8b6b53e549021e93b811b809c4a72f423a20e9f9770969910d35edd5f184757293f98f89024c3a WHIRLPOOL 1af13ce81017bdad0ad6ee235beea9cc3e79d4b09b3863911a8092fd69a8d15f9c6eb75603c62d291450001d900cc1074c8882beb4c6da011b368b2a7f8fe7b5

68
dev-lisp/ecls/ecls-10.4.1.ebuild

@ -1,68 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=3
inherit eutils multilib
MY_P=ecl-${PV}
DESCRIPTION="ECL is an embeddable Common Lisp implementation"
HOMEPAGE="http://common-lisp.net/project/ecl/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
LICENSE="BSD LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="debug gengc precisegc threads +unicode X"
RDEPEND="dev-libs/gmp
virtual/libffi
>=dev-libs/boehm-gc-7.1[threads?]"
DEPEND="${RDEPEND}
app-text/texi2html"
PDEPEND="dev-lisp/gentoo-init"
S="${WORKDIR}"/${MY_P}